4 Replies Latest reply: Feb 23, 2010 2:06 PM by Texas Mac Man
LolaLoo Level 1 Level 1 (0 points)
Hi. I am really hoping someone can give me good advice.
I've noticed that the latest browsers available will not run on my outdated operating system.
I do not know what to do, and really don't want to purchase a new computer.

I have an iBook G4 that I bought in 2004.
It runs OS 10.3.9
Processor: 1.2 GHz Power PC G4
Memory: 512 MB DDR SDRAM

Thank you!

IBook G4, Mac OS X (10.3.x)